id로 커뮤니티 조회
curl --request GET \
--url https://api.x.com/2/communities/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.x.com/2/communities/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.x.com/2/communities/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "1146654567674912769",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z"
},
"errors": [
{
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"status": 123
}
]
}{
"code": 123,
"message": "<string>"
}커뮤니티 조회
id로 커뮤니티 조회
특정 Community의 ID를 사용해 해당 Community의 세부 정보를 조회합니다.
GET
/
2
/
communities
/
{id}
id로 커뮤니티 조회
인증
BearerTokenOAuth2UserTokenUserToken
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
경로 매개변수
Community의 ID입니다. 이 커뮤니티의 고유 식별자입니다.
Pattern:
^[0-9]{1,19}$예시:
"1146654567674912769"
쿼리 매개변수
표시할 Community 필드를 쉼표로 구분한 목록입니다. Community 객체에서 요청할 수 있는 필드입니다.
Minimum array length:
1사용 가능한 옵션:
access, created_at, description, id, join_policy, member_count, name 예시:
[
"access",
"created_at",
"description",
"id",
"join_policy",
"member_count",
"name"
]
응답
요청이 성공했습니다.
X 커뮤니티는 엄선된 포스트 모음입니다.
Show child attributes
Show child attributes
Minimum array length:
1IETF RFC 7807(https://tools.ietf.org/html/rfc7807)에 정의된 HTTP Problem Details 객체
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
Show child attributes
Show child attributes